/* Upsell Banner */
.rd-upsell-banner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: var(--rd-spacing-x-sm) var(--rd-spacing-x-big);
    background: var(--rd-list-default-dark);
    border: var(--rd-borderwidth-border-default) solid var(--rd-gray-300);
    border-radius: var(--rd-spacing-x-sm);
    box-shadow: 0 1px 2px 0 rgba(10, 13, 18, 0.05);
    margin-bottom: var(--rd-spacing-x-big);
}

.rd-upsell-banner-text {
    margin: 0;
    font-size: var(--rd-fontsize-5);
    line-height: var(--rd-spacing-x-big);
}

.rd-upsell-banner-title {
    font-weight: var(--rd-fontweights-open-sans-1);
    color: var(--rd-font-dark);
}

.rd-upsell-banner-subtitle {
    color: var(--rd-gray-500);
}

/* Default variant */
.rd-upsell-banner-default {
    display: flex;
    flex-direction: row;
    box-shadow: 0 1px 2px 0 rgba(10, 13, 18, 0.05);
    border-radius: var(--rd-spacing-x-sm);
    border: 1px solid var(--rd-primary-active);
    background: var(--rd-primary-inactive);
    padding: 20px;
    gap: 20px;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.rd-upsell-banner-default-icon {
    display: flex;
    width: 47px;
    height: 46px;
    padding: 15px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
    border-radius: 34.422px;
    background: #F7DFE6;
}

.rd-upsell-banner-default-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex: 1;
    align-self: stretch;
    color: var(--rd-font-dark);
    font-family: "Open Sans";
    font-size: var(--rd-fontsize-5);
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
}

.rd-upsell-banner-default-subtitle {
    color: var(--rd-gray-500);
    font-family: "Open Sans";
    font-size: var(--rd-fontsize-4);
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.rd-upsell-banner-default-action {
    display: flex;
    height: 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-self: center;
}

.rd-upsell-banner-default-close {
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: center;
}

.rd-upsell-banner-default-close span {
    display: flex;
    cursor: pointer;
}

/* Default variant - dismissed state */
.rd-upsell-banner-default-dismissed {
    display: flex;
    flex-direction: row;
    width: 100%;
    padding-right: var(--rd-spacing-big);
    margin-top: var(--rd-spacing-lg);
    justify-content: flex-end;
    align-items: center;
}

.rd-upsell-banner-default-dismissed>*:nth-child(1) {
    color: var(--rd-gray-500);
    font-feature-settings: 'liga' off;
    font-family: "Open Sans";
    font-size: var(--rd-fontsize-4);
    font-style: normal;
    font-weight: 400;
    line-height: var(--rd-lineheights-0);
    letter-spacing: 0.14px;
}

.rd-upsell-banner-default-dismissed>*:nth-child(1) a {
    color: var(--rd-primary-active);
    font-feature-settings: 'liga' off;
    font-family: "Open Sans";
    font-size: var(--rd-fontsize-4);
    font-style: normal;
    font-weight: 400;
    line-height: var(--rd-lineheights-0);
    letter-spacing: 0.14px;
}